package util

import (
	"encoding/json"
	"net/http"
)

// где-то в пакете comment или в отдельном пакете api
func ResponseWithJSON(w http.ResponseWriter, status int, payload interface{}) {
    w.Header().Set("Content-Type", "application/json")
    w.WriteHeader(status)
    
    if payload != nil {
        if err := json.NewEncoder(w).Encode(payload); err != nil {
            // логирование ошибки, если нужно
            return
        }
    }
}